- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::BoundingSphere Struct Reference

バウンディングスフィア構造体 More...

`#include <BuddhaBoundingSphere.h>`

List of all members.

## Public Types
typedef std::vector< Vector3 > | PointList
| Vector3のイテレータ.
## Public Member Functions
| BoundingSphere ()
| コンストラクタ。大きさゼロのバウンディングスフィアを作成する。
| BoundingSphere (Vector3 center, FLOAT radius)
| コンストラクタ。指定されたパラメータのバウンディングスフィアを作成する。
| BoundingSphere (PointListItr &vector3Itr)
| コンストラクタ。点の集合からバウンディングスフィアを作成する
| BoundingSphere (Vector3 *pVectors, size_t num)
| コンストラクタ。点の集合からバウンディングスフィアを作成する
bool | operator== (const BoundingSphere &b)
| 比較演算子 == のオーバーロード
bool | operator!= (const BoundingSphere &b)
| 比較演算子 != のオーバーロード
bool | Intersects (const BoundingSphere &sphere) const
| ２つのスフィアが交差しているかどうかを示す値を取得する。
void | Contains (const Vector3 &point, CONTAINMENT_TYPE &result) const
| 境界球が point を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const Vector3 &point) const
| 境界球が point を含んでいるかどうかチェックする
void | Contains (const BoundingSphere &sphere, CONTAINMENT_TYPE &result) const
| 境界球が sphere を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const BoundingSphere &sphere) const
| 境界球が sphere を含んでいるかどうかチェックする
void | Contains (const BoundingBox &box, CONTAINMENT_TYPE &result) const
| 境界球が box を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const BoundingBox &box) const
| 境界球が box を含んでいるかどうかチェックする
## Public Attributes
Vector3 | Center
| バウンディングスフィアの中心座標
FLOAT | Radius
| 半径

## Detailed Description

バウンディングスフィア構造体

Todo:
  この BoundingSphere 構造体は開発途中のものです。

## Constructor & Destructor Documentation

BuddhaLib::BoundingSphere::BoundingSphere | ( | Vector3 | center,
|  | FLOAT | radius |
| ) |  |  |

コンストラクタ。指定されたパラメータのバウンディングスフィアを作成する。

center 中心座標

radius 半径

BuddhaLib::BoundingSphere::BoundingSphere | ( | PointListItr & | vector3Itr | ) |

コンストラクタ。点の集合からバウンディングスフィアを作成する

vector3Itr 点のイテレータ ConstVectorIterator<std::vector>

Remarks:
  AABBに対するスフィアとして計算される

BuddhaLib::BoundingSphere::BoundingSphere | ( | Vector3 * | pVectors,
|  | size_t | num |
| ) |  |  |

コンストラクタ。点の集合からバウンディングスフィアを作成する

pVectors Vector3配列の先頭アドレス

num 配列の要素数

Remarks:
  AABBに対するスフィアとして計算される

## Member Function Documentation

void BuddhaLib::BoundingSphere::Contains | ( | const Vector3 & | point,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界球が point を含んでいるかどうかチェックする

Parameters:

  | point | 判定対象の点
  | result | [結果出力] この境界球と point の関係をしめす列挙子の値

Todo:
  ここは近値判定

CONTAINMENT_TYPE BuddhaLib::BoundingSphere::Contains | ( | const Vector3 & | point | ) | const

境界球が point を含んでいるかどうかチェックする

Parameters:

  | point | 判定対象の点

Returns:
  この境界球と point の関係をしめす列挙子の値

void BuddhaLib::BoundingSphere::Contains | ( | const BoundingSphere & | sphere,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界球が sphere を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象の境界球
  | result | [結果出力] この境界球と sphere の関係をしめす列挙子の値

CONTAINMENT_TYPE BuddhaLib::BoundingSphere::Contains | ( | const BoundingSphere & | sphere | ) | const

境界球が sphere を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象の境界球

Returns:
  この境界球と sphere の関係をしめす列挙子の値

void BuddhaLib::BoundingSphere::Contains | ( | const BoundingBox & | box,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界球が box を含んでいるかどうかチェックする

Parameters:

  | box | 判定対象の境界ボックス
  | result | [結果出力] この境界球と box の関係をしめす列挙子の値

CONTAINMENT_TYPE BuddhaLib::BoundingSphere::Contains | ( | const BoundingBox & | box | ) | const

境界球が box を含んでいるかどうかチェックする

Parameters:

  | box | 判定対象の境界ボックス

Returns:
  この境界球と box の関係をしめす列挙子の値